{
  "name": "react-starter-kit",
  "version": "0.6.1",
  "description": "starter kit for building web apps with react",
  "main": "src/index.js",
  "author": {
    "name": "Luis Angel Barrancos Ortiz (luisbar)",
    "email": "luisbar180492@gmail.com"
  },
  "contributors": [
    {
      "name": "Julian Gil Santos",
      "email": "gilsantosjulian@gmail.com"
    }
  ],
  "homepage": "https://gitlab.com/luisbar/react-starter-kit#README",
  "repository": {
    "type": "git",
    "url": "git+https://gitlab.com/luisbar/react-starter-kit.git"
  },
  "bugs": {
    "url": "https://gitlab.com/luisbar/react-starter-kit/issues"
  },
  "license": "ISC",
  "scripts": {
    "test": "jest",
    "commit": "git cz",
    "webpack": "webpack serve --config ./bundler/webpack.dev.js",
    "start": "npm-run-all --parallel watcher webpack",
    "build": "webpack --config ./bundler/webpack.prod.js",
    "lint": "eslint --debug 'src/**/*.{js,jsx}'",
    "lint:single": "eslint --no-eslintrc --parser @babel/eslint-parser --debug 'src/**/*.{js,jsx}' --rule",
    "lint:write": "eslint --fix 'src/**/*.{js,jsx}'",
    "lint:write:single": "eslint --no-eslintrc --parser @babel/eslint-parser --fix 'src/**/*.{js,jsx}' --rule",
    "watcher": "node scripts/watcher/",
    "bundle-report": "webpack --profile --json --config ./bundler/webpack.prod.js > stats.json && webpack-bundle-analyzer stats.json -m static",
    "release:patch": "changelog -p && git add CHANGELOG.md && git commit -m 'docs: update changelog.md' && npm version patch && git push origin HEAD && git push origin --tags",
    "release:minor": "changelog -m && git add CHANGELOG.md && git commit -m 'docs: update changelog.md' && npm version minor && git push origin HEAD && git push origin --tags",
    "release:major": "changelog -M && git add CHANGELOG.md && git commit -m 'docs: update changelog.md' && npm version major && git push origin HEAD && git push origin --tags"
  },
  "devDependencies": {
    "@babel/core": "7.12.17",
    "@babel/plugin-syntax-dynamic-import": "7.8.3",
    "@babel/plugin-transform-runtime": "7.12.17",
    "@babel/preset-env": "7.12.17",
    "@babel/preset-react": "7.12.13",
    "@mdx-js/loader": "1.6.22",
    "@pmmmwh/react-refresh-webpack-plugin": "0.4.3",
    "@testing-library/jest-dom": "5.14.1",
    "@testing-library/react": "12.0.0",
    "@xstate/test": "0.4.2",
    "autoprefixer": "10.2.4",
    "babel-jest": "27.0.6",
    "babel-loader": "8.2.2",
    "chokidar": "3.5.1",
    "clean-webpack-plugin": "3.0.0",
    "commitizen": "4.2.2",
    "commitlint": "11.0.0",
    "copy-webpack-plugin": "7.0.0",
    "css-loader": "5.0.1",
    "cz-customizable": "6.3.0",
    "dotenv-webpack": "7.0.3",
    "eslint": "7.17.0",
    "eslint-config-airbnb": "18.2.1",
    "eslint-import-resolver-jest": "3.0.2",
    "eslint-import-resolver-webpack": "0.13.1",
    "eslint-plugin-import": "2.22.1",
    "eslint-plugin-jsx-a11y": "6.4.1",
    "eslint-plugin-react": "7.22.0",
    "file-loader": "6.2.0",
    "generate-changelog": "1.8.0",
    "html-loader": "1.3.2",
    "html-webpack-plugin": "4.5.1",
    "husky": "4.3.7",
    "jest": "27.0.6",
    "jest-css-modules-transform": "4.3.0",
    "jest-html-reporters": "2.1.6",
    "lint-staged": "10.5.3",
    "npm-run-all": "4.1.5",
    "postcss": "8.2.4",
    "postcss-loader": "4.2.0",
    "react-refresh": "0.9.0",
    "sass": "1.32.8",
    "sass-loader": "11.0.1",
    "style-loader": "2.0.0",
    "webpack": "5.14.0",
    "webpack-bundle-analyzer": "4.3.0",
    "webpack-cli": "4.5.0",
    "webpack-dev-server": "3.11.2",
    "webpack-merge": "5.7.3"
  },
  "dependencies": {
    "@tailwindcss/forms": "0.3.3",
    "@xstate/immer": "0.2.0",
    "@xstate/inspect": "0.5.0",
    "@xstate/react": "1.6.1",
    "axios": "0.21.1",
    "faker": "5.5.3",
    "immer": "8.0.1",
    "joi": "17.4.2",
    "navi": "0.14.0",
    "prop-types": "15.7.2",
    "react": "17.0.1",
    "react-dom": "17.0.1",
    "react-icons": "4.2.0",
    "react-intl": "5.10.16",
    "react-navi": "0.14.4",
    "react-navi-helmet-async": "0.14.4",
    "remark-parse": "9.0.0",
    "remark-react": "8.0.0",
    "tailwindcss": "2.0.2",
    "unified": "9.2.1",
    "xstate": "4.23.4"
  },
  "volta": {
    "node": "16.5.0"
  }
}
